package com.jxdinfo.hussar.core.bouncycastle.util.encoders;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.util.encoders.Encoder;
import java.io.IOException;
import java.io.OutputStream;

public class HexEncoder implements Encoder {
  protected final byte[] decodingTable;
  
  protected final byte[] encodingTable;
  
  protected void initialiseDecodingTable() {
    // Byte code:
    //   0: iconst_0
    //   1: dup
    //   2: istore_1
    //   3: aload_0
    //   4: getfield encodingTable : [B
    //   7: arraylength
    //   8: if_icmpge -> 33
    //   11: aload_0
    //   12: dup
    //   13: getfield decodingTable : [B
    //   16: swap
    //   17: getfield encodingTable : [B
    //   20: iload_1
    //   21: baload
    //   22: iload_1
    //   23: i2b
    //   24: iinc #1, 1
    //   27: bastore
    //   28: iload_1
    //   29: goto -> 3
    //   32: pop
    //   33: aload_0
    //   34: dup
    //   35: dup_x1
    //   36: dup2
    //   37: getfield decodingTable : [B
    //   40: bipush #65
    //   42: aload_0
    //   43: getfield decodingTable : [B
    //   46: bipush #97
    //   48: baload
    //   49: bastore
    //   50: getfield decodingTable : [B
    //   53: bipush #66
    //   55: aload_0
    //   56: dup_x2
    //   57: getfield decodingTable : [B
    //   60: bipush #98
    //   62: baload
    //   63: bastore
    //   64: getfield decodingTable : [B
    //   67: bipush #67
    //   69: aload_0
    //   70: getfield decodingTable : [B
    //   73: bipush #99
    //   75: baload
    //   76: bastore
    //   77: getfield decodingTable : [B
    //   80: bipush #68
    //   82: aload_0
    //   83: getfield decodingTable : [B
    //   86: bipush #100
    //   88: baload
    //   89: bastore
    //   90: getfield decodingTable : [B
    //   93: bipush #69
    //   95: aload_0
    //   96: getfield decodingTable : [B
    //   99: bipush #101
    //   101: baload
    //   102: bastore
    //   103: getfield decodingTable : [B
    //   106: bipush #70
    //   108: aload_0
    //   109: getfield decodingTable : [B
    //   112: bipush #102
    //   114: baload
    //   115: bastore
    //   116: return
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	117	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/util/encoders/HexEncoder;
  }
  
  public int decode(byte[] arrayOfByte, int i, int j, OutputStream outputStream) throws IOException {
    // Byte code:
    //   0: iconst_0
    //   1: istore #5
    //   3: iload_2
    //   4: iload_3
    //   5: iadd
    //   6: dup
    //   7: istore #6
    //   9: iload_2
    //   10: if_icmple -> 41
    //   13: aload_0
    //   14: aload_1
    //   15: iload #6
    //   17: iconst_1
    //   18: isub
    //   19: baload
    //   20: i2c
    //   21: invokespecial abstract : (C)Z
    //   24: ifne -> 32
    //   27: iload_2
    //   28: goto -> 42
    //   31: pop
    //   32: iinc #6, -1
    //   35: iload #6
    //   37: goto -> 9
    //   40: iconst_0
    //   41: iload_2
    //   42: istore #7
    //   44: iload #7
    //   46: iload #6
    //   48: if_icmpge -> 149
    //   51: iload #7
    //   53: iload #6
    //   55: if_icmpge -> 78
    //   58: aload_0
    //   59: aload_1
    //   60: iload #7
    //   62: baload
    //   63: i2c
    //   64: invokespecial abstract : (C)Z
    //   67: ifeq -> 78
    //   70: iinc #7, 1
    //   73: iload #7
    //   75: goto -> 53
    //   78: aload_0
    //   79: getfield decodingTable : [B
    //   82: aload_1
    //   83: iload #7
    //   85: baload
    //   86: iinc #7, 1
    //   89: baload
    //   90: istore_2
    //   91: iload #7
    //   93: iload #6
    //   95: if_icmpge -> 118
    //   98: aload_0
    //   99: aload_1
    //   100: iload #7
    //   102: baload
    //   103: i2c
    //   104: invokespecial abstract : (C)Z
    //   107: ifeq -> 118
    //   110: iinc #7, 1
    //   113: iload #7
    //   115: goto -> 93
    //   118: aload_0
    //   119: getfield decodingTable : [B
    //   122: aload_1
    //   123: iload #7
    //   125: baload
    //   126: iinc #7, 1
    //   129: baload
    //   130: istore_3
    //   131: aload #4
    //   133: iload_2
    //   134: iconst_4
    //   135: ishl
    //   136: iinc #5, 1
    //   139: iload_3
    //   140: ior
    //   141: invokevirtual write : (I)V
    //   144: iload #7
    //   146: goto -> 46
    //   149: iload #5
    //   151: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	152	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/util/encoders/HexEncoder;
    //   0	152	1	a	[B
    //   0	152	2	a	I
    //   0	152	3	a	I
    //   0	152	4	a	Ljava/io/OutputStream;
  }
  
  public int decode(String str, OutputStream outputStream) throws IOException {
    // Byte code:
    //   0: iconst_0
    //   1: sipush #32087
    //   4: sipush #-20323
    //   7: sipush #-17227
    //   10: sipush #19031
    //   13: pop2
    //   14: pop2
    //   15: istore #5
    //   17: aload_1
    //   18: invokevirtual length : ()I
    //   21: dup
    //   22: istore #6
    //   24: ifle -> 55
    //   27: aload_0
    //   28: aload_1
    //   29: iload #6
    //   31: iconst_1
    //   32: isub
    //   33: invokevirtual charAt : (I)C
    //   36: invokespecial abstract : (C)Z
    //   39: ifne -> 46
    //   42: goto -> 55
    //   45: pop
    //   46: iinc #6, -1
    //   49: iload #6
    //   51: goto -> 24
    //   54: iconst_0
    //   55: iconst_0
    //   56: dup
    //   57: istore #7
    //   59: iload #6
    //   61: if_icmpge -> 169
    //   64: iload #7
    //   66: iload #6
    //   68: if_icmpge -> 92
    //   71: aload_0
    //   72: aload_1
    //   73: iload #7
    //   75: invokevirtual charAt : (I)C
    //   78: invokespecial abstract : (C)Z
    //   81: ifeq -> 92
    //   84: iinc #7, 1
    //   87: iload #7
    //   89: goto -> 66
    //   92: aload_0
    //   93: getfield decodingTable : [B
    //   96: aload_1
    //   97: iload #7
    //   99: invokevirtual charAt : (I)C
    //   102: iinc #7, 1
    //   105: baload
    //   106: istore_3
    //   107: iload #7
    //   109: iload #6
    //   111: if_icmpge -> 135
    //   114: aload_0
    //   115: aload_1
    //   116: iload #7
    //   118: invokevirtual charAt : (I)C
    //   121: invokespecial abstract : (C)Z
    //   124: ifeq -> 135
    //   127: iinc #7, 1
    //   130: iload #7
    //   132: goto -> 109
    //   135: aload_0
    //   136: getfield decodingTable : [B
    //   139: aload_1
    //   140: iload #7
    //   142: invokevirtual charAt : (I)C
    //   145: iinc #7, 1
    //   148: baload
    //   149: istore #4
    //   151: aload_2
    //   152: iload_3
    //   153: iconst_4
    //   154: ishl
    //   155: iinc #5, 1
    //   158: iload #4
    //   160: ior
    //   161: invokevirtual write : (I)V
    //   164: iload #7
    //   166: goto -> 59
    //   169: iload #5
    //   171: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	172	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/util/encoders/HexEncoder;
    //   0	172	1	a	Ljava/lang/String;
    //   0	172	2	a	Ljava/io/OutputStream;
  }
  
  public HexEncoder() {
    // Byte code:
    //   0: sipush #128
    //   3: aload_0
    //   4: dup_x1
    //   5: dup_x2
    //   6: bipush #16
    //   8: aload_0
    //   9: invokespecial <init> : ()V
    //   12: newarray byte
    //   14: iconst_1
    //   15: dup
    //   16: pop2
    //   17: dup
    //   18: iconst_0
    //   19: bipush #48
    //   21: bastore
    //   22: dup
    //   23: iconst_1
    //   24: bipush #49
    //   26: bastore
    //   27: dup
    //   28: iconst_2
    //   29: bipush #50
    //   31: bastore
    //   32: dup
    //   33: iconst_3
    //   34: bipush #51
    //   36: bastore
    //   37: dup
    //   38: iconst_4
    //   39: bipush #52
    //   41: bastore
    //   42: dup
    //   43: iconst_5
    //   44: bipush #53
    //   46: bastore
    //   47: dup
    //   48: bipush #6
    //   50: bipush #54
    //   52: bastore
    //   53: dup
    //   54: bipush #7
    //   56: bipush #55
    //   58: bastore
    //   59: dup
    //   60: bipush #8
    //   62: bipush #56
    //   64: bastore
    //   65: dup
    //   66: bipush #9
    //   68: bipush #57
    //   70: bastore
    //   71: dup
    //   72: bipush #10
    //   74: bipush #97
    //   76: bastore
    //   77: dup
    //   78: bipush #11
    //   80: bipush #98
    //   82: bastore
    //   83: dup
    //   84: bipush #12
    //   86: bipush #99
    //   88: bastore
    //   89: dup
    //   90: bipush #13
    //   92: bipush #100
    //   94: bastore
    //   95: dup
    //   96: bipush #14
    //   98: bipush #101
    //   100: bastore
    //   101: dup
    //   102: bipush #15
    //   104: bipush #102
    //   106: bastore
    //   107: putfield encodingTable : [B
    //   110: newarray byte
    //   112: iconst_1
    //   113: dup
    //   114: pop2
    //   115: putfield decodingTable : [B
    //   118: invokevirtual initialiseDecodingTable : ()V
    //   121: return
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	122	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/util/encoders/HexEncoder;
  }
  
  public int encode(byte[] arrayOfByte, int i, int j, OutputStream outputStream) throws IOException {
    // Byte code:
    //   0: iload_2
    //   1: dup
    //   2: istore #5
    //   4: iload_2
    //   5: iload_3
    //   6: iadd
    //   7: if_icmpge -> 57
    //   10: aload_1
    //   11: iload #5
    //   13: baload
    //   14: sipush #255
    //   17: iand
    //   18: istore #6
    //   20: aload_0
    //   21: aload #4
    //   23: dup_x1
    //   24: aload_0
    //   25: getfield encodingTable : [B
    //   28: iload #6
    //   30: iconst_4
    //   31: iushr
    //   32: baload
    //   33: invokevirtual write : (I)V
    //   36: getfield encodingTable : [B
    //   39: iload #6
    //   41: bipush #15
    //   43: iand
    //   44: iinc #5, 1
    //   47: baload
    //   48: invokevirtual write : (I)V
    //   51: iload #5
    //   53: goto -> 4
    //   56: pop
    //   57: iload_3
    //   58: iconst_2
    //   59: imul
    //   60: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	61	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/util/encoders/HexEncoder;
    //   0	61	1	a	[B
    //   0	61	2	a	I
    //   0	61	3	a	I
    //   0	61	4	a	Ljava/io/OutputStream;
  }
}
